package com.docus.server.fssyjhemr.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.fssyjhemr.entity.FsSyJswzhBmztEmrView;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/8/13 16:13
 */
@DS("fssy-jhemr-oracle")
public interface FsSyJswzhBmztEmrViewMapper {
    /**
     * 最大的编目时间
     *
     * @return java.util.Date
     */
    Date maxBmsj();

    /**
     * 根据编目时间，查询首页编目数据，startDate <= catalog_date < endDate
     *
     * @param startDate 开始时间 yyyy-MM-dd HH:mm:ss
     * @param endDate   结束时间  yyyy-MM-dd HH:mm:ss
     * @param where 其他条件
     * @return 首页编目数据集合
     */
    List<FsSyJswzhBmztEmrView> listByBmsjRange(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("where")String where);
}
