package com.docus.server.zjfsjhemr.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.zjfsjhemr.entity.ZjFsPatIndexView;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author YongBin Wen
 * @date 2024/8/13 16:13
 */
@DS("zjfsjhemr")
public interface ZjFsPatIndexViewMapper {
    /**
     * 最大的编目最后完成日期
     *
     * @return java.util.Date
     */
    Date maxCatalogDate();

    /**
     * 根据编目最后完成日期，查询首页编目数据，startDate <= catalog_date < endDate
     *
     * @param startDate 开始时间 yyyy-MM-dd HH:mm:ss
     * @param endDate   结束时间  yyyy-MM-dd HH:mm:ss
     * @param where 其他条件
     * @return 首页编目数据集合
     */
    List<ZjFsPatIndexView> listByCatalogDateRange(@Param("startDate") String startDate, @Param("endDate") String endDate,@Param("where")String where);
}
